## Installation

### npm

Installing with npm is recommended and it works seamlessly with [webpack](https://webpack.js.org/).

```shell
npm install vue-cesium@next --save
```

### CDN

Get the latest version from [unpkg.com/vue-cesium](https://unpkg.com/vue-cesium/) or [cdnjs.com/libraries/vue-cesium](https://cdnjs.com/libraries/vue-cesium), and import JavaScript and CSS file in your page.

```html
<!-- import CSS -->
<link rel="stylesheet" href="https://unpkg.com/vue-cesium@next/lib/theme-default/index.css">
<!-- import JavaScript -->
<script src="https://unpkg.com/vue-cesium@next/lib/index.full.js"></script>
```

:::tip
We recommend our users to lock VueCesium's version when using CDN. Please refer to [unpkg.com](https://unpkg.com) for more information.
:::

### Hello world

If you are using CDN, a hello-world page is easy with VueCesium. [Online Demo](https://codepen.io/zouyaoji/pen/bGBOyJM)

<iframe height="500" style="width: 100%;" scrolling="no" title="VueCesium Demo" src="https://codepen.io/zouyaoji/embed/bGBOyJM?height=265&theme-id=light&default-tab=html,result" frameborder="no" loading="lazy" allowtransparency="true" allowfullscreen="true">
  See the Pen <a href='https://codepen.io/zouyaoji/pen/bGBOyJM'>VueCesium Demo</a> by zouyaoji
  (<a href='https://codepen.io/zouyaoji'>@zouyaoji</a>) on <a href='https://codepen.io'>CodePen</a>.
</iframe>

If you are using npm and wish to apply webpack, please continue to the next page: [Quick Start](./#/zh-CN/component/quickstart).
